### Method

# Gio DBusInterfaceSkeleton get_connection

since: 2.30

#### Declaration [src]

    GDBusConnection*
    g_dbus_interface_skeleton_get_connection (
      GDBusInterfaceSkeleton* interface_
    )

#### Description [src]

Gets the first connection that `interface_` is exported on, if any.

Available since: 2.30

#### Return value

Type: `GDBusConnection`

A `GDBusConnection` or `NULL` if `interface_` is not exported anywhere. Do not free, the object belongs to `interface_`.

The returned data is owned by the instance.
The return value can be `NULL`.